#
# Conditional build:
%bcond_without	kerberos5	# without kerberos V support
#
Summary:	GNU implementation of the Secure Shell protocols
Summary(pl.UTF-8):	Implementacja GNU bezpiecznego shella
Name:		lsh
Version:	2.1
Release:	1
License:	GPL v2+
Group:		Networking/Daemons
Source0:	http://www.lysator.liu.se/~nisse/archive/%{name}-%{version}.tar.gz
# Source0-md5:	cde8e1306b1c544909e1e9ecb86e6402
Source1:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-man-pages.tar.bz2
# Source1-md5:	164cdde8060577b54954c3f9f067927e
Patch0:		%{name}-info.patch
URL:		http://www.lysator.liu.se/~nisse/lsh/
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
BuildRequires:	gmp-devel >= 3.1
BuildRequires:	groff
%{?with_kerberos5:BuildRequires:	heimdal-devel}
BuildRequires:	liboop-devel
BuildRequires:	libwrap-devel
BuildRequires:	m4
BuildRequires:	nettle-devel >= 1.14
BuildRequires:	pam-devel
BuildRequires:	texinfo
BuildRequires:	xorg-lib-libXau-devel
BuildRequires:	zlib-devel
# only for maintainer mode
#BuildRequires:	guile
#BuildRequires:	slib
Requires:	nettle >= 1.14
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	 /etc/%{name}

%description
LSH is the GNU implementation of the secure shell protocols (secsh2).
LSH includes a client, a server, and a few scripts and utility
programs.

Note: it doesn't support SSH1 protocol, but the server can fallback to
/usr/sbin/sshd - if you need SSH1 support in server, please install
appropriate daemon (openssh-server, SSH.COM 1.2.x) as /usr/sbin/sshd.

%description -l pl.UTF-8
LSH jest implementacją GNU protokołów bezpiecznego shella (secsh2).
Zawiera klienta, serwer, kilka skryptów i narzędzi.

Uwaga: ta implementacja nie obsługuje protokołu SSH1, ale serwer może
wywołać /usr/sbin/sshd. Jeśli obsługa SSH1 jest potrzebna w serwerze,
należy zainstalować odpowiedniego demona (openssh-server lub SSH.COM
1.2.x) jako /usr/sbin/sshd.

%prep
%setup -q
%patch0 -p1

%build
cd src/spki
%{__aclocal}
%{__autoconf}
%{__automake}
cd ../..
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	XAUTH_PROGRAM=/usr/bin/xauth \
	%{!?with_kerberos5:--disable-kerberos} \
	--with-sshd1=%{_sbindir}/sshd \
	--with-tcpwrappers \
	--with-zlib

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/{rc.d/init.d,sysconfig,logrotate.d},/var/spool/lsh}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_mandir}
bzip2 -dc %{SOURCE1} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}
%{__rm} $RPM_BUILD_ROOT%{_mandir}/{README.lsh-man-pages,diff.*}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc ANNOUNCE AUTHORS ChangeLog* FAQ NEWS README doc/{HACKING,NOTES,PORTS,TASKLIST,TODO,*.txt}
#%attr(754,root,root) /etc/rc.d/init.d/*
#%attr(640,root,root) /etc/sysconfig/*
#%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) /etc/logrotate.d/*
%attr(6750,root,root) %dir /var/spool/lsh
%attr(755,root,root) %{_bindir}/lcp
%attr(755,root,root) %{_bindir}/lsftp
%attr(755,root,root) %{_bindir}/lsh
%attr(755,root,root) %{_bindir}/lsh-authorize
%attr(755,root,root) %{_bindir}/lsh-decode-key
%attr(755,root,root) %{_bindir}/lsh-decrypt-key
%attr(755,root,root) %{_bindir}/lsh-export-key
%attr(755,root,root) %{_bindir}/lsh-keygen
%attr(755,root,root) %{_bindir}/lsh-make-seed
%attr(755,root,root) %{_bindir}/lsh-upgrade
%attr(755,root,root) %{_bindir}/lsh-upgrade-key
%attr(755,root,root) %{_bindir}/lsh-writekey
%attr(755,root,root) %{_bindir}/lshg
%attr(755,root,root) %{_bindir}/srp-gen
%attr(755,root,root) %{_bindir}/ssh-conv
%attr(755,root,root) %{_sbindir}/lsh-execuv
%{?with_kerberos5:%attr(755,root,root) %{_sbindir}/lsh-krb-checkpw}
%attr(755,root,root) %{_sbindir}/lsh-pam-checkpw
%attr(755,root,root) %{_sbindir}/lshd
%attr(755,root,root) %{_sbindir}/sftp-server
%{_infodir}/lsh.info*
%{_mandir}/man1/lsftp.1*
%{_mandir}/man1/lsh.1*
%{_mandir}/man1/lsh-authorize.1*
%{_mandir}/man1/lsh-decode-key.1*
%{_mandir}/man1/lsh-decrypt-key.1*
%{_mandir}/man1/lsh-export-key.1*
%{_mandir}/man1/lsh-keygen.1*
%{_mandir}/man1/lsh-make-seed.1*
%{_mandir}/man1/lsh-upgrade.1*
%{_mandir}/man1/lsh-upgrade-key.1*
%{_mandir}/man1/lsh-writekey.1*
%{_mandir}/man1/lshg.1*
%{_mandir}/man1/sexp-conv.1*
%{_mandir}/man1/srp-gen.1*
%{_mandir}/man1/ssh-conv.1*
%{_mandir}/man5/DSA.5*
%{_mandir}/man5/SHA.5*
%{_mandir}/man5/SPKI.5*
%{_mandir}/man5/secsh.5*
%{_mandir}/man8/lshd.8*
%{_mandir}/man8/sftp-server.8*
%changelog
* Mon Aug 05 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/lsh.git;a=log;h=master

* Thu Jul 25 2013 Jakub Bogusz <qboosh@pld-linux.org> 0851af4
- updated to 2.1
- updated info patch
- removed obsolete shared-nettle patch

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> 456df9b
- dropped pre-cvs changelog

* Thu Jul 02 2009 Jan Rękorajski <baggins@pld-linux.org> 7b3e50a
- switch to heimdal kerberos

* Thu Jan 24 2008 Elan Ruusamäe <glen@pld-linux.org> 0f8b541
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

* Tue Sep 11 2007 Jakub Bogusz <qboosh@pld-linux.org> adb5153
- updated to 2.0.4

* Sat Mar 31 2007 Jan Rękorajski <baggins@pld-linux.org> 5ac42c5
- rel 2
- s/heimdal/krb5/

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> ea71a29
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> ec3877f
- converted to UTF-8

* Tue May 16 2006 Jakub Bogusz <qboosh@pld-linux.org> 1c25d88
- updated to 2.0.3

* Fri Apr 21 2006 Jan Rękorajski <baggins@pld-linux.org> f89f8c7
- orphaned, outdated

* Tue Dec 13 2005 Elan Ruusamäe <glen@pld-linux.org> c347065
- adalterized (sorted %verify flags)

* Fri Jul 08 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> c1e8895
- BR heimdal-devel >= 0.7

* Wed Mar 30 2005 Jakub Bogusz <qboosh@pld-linux.org> b9591c2
- 2.0.1

* Wed Sep 29 2004 kolodko <kolodko@pld-linux.org> 37b957a
- added macros in /etc/logrotate.d

* Sun Jun 13 2004 areq <areq@pld-linux.org> 4f1af0e
- 1.5.5

* Sat Mar 06 2004 Jakub Bogusz <qboosh@pld-linux.org> dee6429
- 1.5.4, updated shared-nettle patch

* Sat Mar 06 2004 Jakub Bogusz <qboosh@pld-linux.org> c6ff371
- updated for 1.5.4

* Thu Jan 15 2004 Jakub Bogusz <qboosh@pld-linux.org> d05bfda
- use shared nettle, deal with kerberos (BR: heimdal-devel on bcond)

* Mon Oct 06 2003 Jakub Bogusz <qboosh@pld-linux.org> fc8927b
- up to 1.5.3 (fixed heap buffer overflow - remote r00t possibility)

* Sat Jul 19 2003 Jakub Bogusz <qboosh@pld-linux.org> 09618c4
- up to 1.5.2
- updated shared-nettle patch (but commented out - needs nettle 1.8)

